> For the complete documentation index, see [llms.txt](https://docs.libum.io/nexum/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.libum.io/nexum/readme.md).

# Introduction

NexumAPI can be used in lieu of any SymXchange request. We offer a completely [JSON](https://en.wikipedia.org/wiki/JSON)-encoded alternative to [SOAP](https://en.wikipedia.org/wiki/SOAP), as well as access to a growing list of additional features.

### Resources

* Obtaining an [API key](/nexum/authentication.md)
* Sending [nil fields](/nexum/resources/nil-field-support.md) in a request
* Read the [SymXchange API reference](/nexum/symxchange/api-reference.md)
* Contact us at <development@libum.io>
* Learn about our [privacy policy](https://libum.io/legal/privacy/)

{% hint style="success" %}
At [Libum](https://libum.io/), we understand what it's like building full-stack apps that integrate with the Symitar core. If there's a way we can improve the feature set of NexumAPI, please let us know at <development@libum.io> or through our [Feedback](https://feedback.libum.io) portal.
{% endhint %}

## Key concepts

### SymXchange

SymXchange is an API that leverages web services that provide third-party vendors, credit unions, and JHA products the ability to access the system database. With SymXchange, you can use third-party vendor applications to perform transactions, inquiries, file maintenance, and run PowerOn specfiles on member accounts.

SymXchange uses [XML](https://en.wikipedia.org/wiki/XML) and [Web Services Description Language (WSDL)](https://en.wikipedia.org/wiki/Web_Services_Description_Language) files with SOAP specifications to implement web services over client and third-party system network .

### NexumAPI attributes

NexumAPI attributes are a mechanism for users to optionally include in each request payload to gain access to custom features of SymXchange only available through NexumAPI. As an example, we offer an attribute called <mark style="color:purple;">`customFields`</mark> which enables the user to include metadata they wish to bubble up to their logging transports.

#### Example of customFields

In this example, the <mark style="color:purple;">`appId`</mark> field will be included in the logs to reflect which application the request originated from.

```json
// ...
"nxAttributes": {
  "customFields": {
    "appId": "glaci"
  }
},
// ...
```

## Guides

Jump into one of our guides to learn more.

{% content-ref url="/pages/5pj4yfXPg38Hh9rfpRQj" %}
[Quickstart](/nexum/quickstart.md)
{% endcontent-ref %}

{% content-ref url="/pages/YdrDD6SKfo3H96iZfopE" %}
[MCP Quickstart](/nexum/mcp-quickstart.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.libum.io/nexum/readme.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
